AbstractJaxpFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.filters.AbstractJaxpFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.filters
Class AbstractJaxpFilter

    java.lang.Object
      org.mule.module.xml.filters.AbstractJaxpFilter

Direct Known Subclasses:
  SchemaValidationFilter, XPathFilter

    public abstract class AbstractJaxpFilter

extends Object

Common filter functionality for filters which need to convert payloads to `Document`s.

Constructor Summary
`AbstractJaxpFilter()`

Method Summary
`DocumentBuilderFactory` | `getDocumentBuilderFactory()` The document builder factory to use in case XML needs to be parsed.
`void` | `initialise()`
`void` | `setDocumentBuilderFactory(DocumentBuilderFactory documentBuilderFactory)` The document builder factory to use in case XML needs to be parsed.
`Node` | `toDOMNode(Object src)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJaxpFilter

    public AbstractJaxpFilter()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Throws:
    `InitialisationException`

### toDOMNode

    public Node toDOMNode(Object src)
                   throws Exception

  Throws:
    `Exception`

### getDocumentBuilderFactory

    public DocumentBuilderFactory getDocumentBuilderFactory()

  The document builder factory to use in case XML needs to be parsed.

  Returns:
    The document builder factory to use in case XML needs to be parsed.

### setDocumentBuilderFactory

    public void setDocumentBuilderFactory(DocumentBuilderFactory documentBuilderFactory)

  The document builder factory to use in case XML needs to be parsed.

  Parameters:
    `documentBuilderFactory` - The document builder factory to use in case XML needs to be parsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.